#ifndef _AICA_ARM_H_
#define _AICA_ARM_H_

typedef char		int8_t;
typedef unsigned char	uint8_t;
typedef short		int16_t;
typedef unsigned short	uint16_t;
typedef int		int32_t;
typedef unsigned int	uint32_t;
typedef unsigned long	size_t;
typedef long		ssize_t;

typedef __builtin_va_list va_list;
#define va_start(ap, last) __builtin_va_start((ap), (last))
#define va_arg __builtin_va_arg
#define va_end __builtin_va_end

int aica_vprintf(const char *, va_list);
int aica_printf(const char *, ...);
int aica_msgbuf_update(void);

void *memset(void *, int, size_t);
void *memcpy(void *, const void *, size_t);
void bzero(void *, size_t);
void bcopy(const void *, void *, size_t);

#endif /* _AICA_ARM_H_ */
